Package org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDRExpandFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDRExpandFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

    public static class ParameterizedBuiltinSPInstruction.RDDRExpandFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RDDRExpandFunction​(long maxVal, boolean dirRows, boolean cast, boolean ignore, long blen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<scala.Tuple2<MatrixIndexes,​MatrixBlock>>` `call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDDRExpandFunction

    public RDDRExpandFunction​(long maxVal,
                              boolean dirRows,
                              boolean cast,
                              boolean ignore,
                              long blen)

### Method Detail

#### call

    public Iterator<scala.Tuple2<MatrixIndexes,​MatrixBlock>> call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> arg0)
                                                                 throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`
Throws:
  `Exception`